Used White Ford F-150 for Sale in 29506
Shop with transparent pricing.
Only show listings that include dealer fees- Year:
- 2021
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Exterior color:
- Star White Metallic Tri-Coat
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 57,981
- Stock #:
- 28519Y
- VIN:
- 1FTFW1E89MFB98948


Sponsored by Stateline Chrysler Jeep Dodge
2021 Ford F-150
Lariat SuperCrew 4WD
57,981 mi
$42,958
- Year:
- 2024
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 2 doors
- Drivetrain:
- 4X2
- Engine:
- 325 hp 2.7L V6
- Exterior color:
- Oxford White
- Combined gas mileage:
- 22 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black W/Medium Dark Slate
- Transmission:
- Automatic
- Mileage:
- 29,440
- Stock #:
- ARKD41670
- VIN:
- 1FTMF1KP3RKD41670

Sponsored Listing
2024 Ford F-150
XL Regular Cab LB RWD
29,440 mi
$28,050
- Year:
- 2024
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 325 hp 2.7L V6
- Exterior color:
- White
- Combined gas mileage:
- 20 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 48,547
- Stock #:
- PT0871
- VIN:
- 1FTEW2LP7RKE21207

Sponsored Listing
2024 Ford F-150
STX SuperCrew 4WD
48,547 mi
$35,384
- Year:
- 2025
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 430 hp 3.5L V6 Hybrid
- Exterior color:
- White
- Combined gas mileage:
- 23 MPG
- Fuel type:
- Hybrid
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 6,064
- Stock #:
- T2242
- VIN:
- 1FTFW3LD2SFA98490

2025 Ford F-150
XLT SuperCrew 4WD
New car
MSRP $68,405
$53,291
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 400 hp 3.5L V6
- Exterior color:
- White
- Combined gas mileage:
- 20 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 3
- Stock #:
- TFC05759
- VIN:
- 1FTFW5L89TFC05759

2026 Ford F-150
Lariat SuperCrew 4WD
New car
MSRP $72,635
$61,991
- Year:
- 2025
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- 4X2
- Engine:
- 325 hp 2.7L V6
- Exterior color:
- Oxford White
- Combined gas mileage:
- 22 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 6
- Stock #:
- F25232
- VIN:
- 1FTEX2KP8SKF22907

2025 Ford F-150
STX SuperCab LB RWD
New car
MSRP $44,610
$36,577
- Year:
- 2020
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Engine:
- 395 hp 5L V8 Flex Fuel Vehicle
- Exterior color:
- Oxford White
- Fuel type:
- Flex Fuel Vehicle
- Interior color:
- Dark Earth Gray
- Transmission:
- Automatic
- Mileage:
- 154,428
- Stock #:
- 35693
- VIN:
- 1FTEW1C57LKE47113

2020 Ford F-150
154,428 mi
$14,995
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- 4X2
- Engine:
- 325 hp 2.7L V6
- Exterior color:
- Oxford White
- Combined gas mileage:
- 22 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 11
- Stock #:
- RFF55836
- VIN:
- 1FTEW2KP5TKF55836

-$7,665
2026 Ford F-150
STX SuperCrew RWD
New car
MSRP $52,160
$48,229
$40,564
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 400 hp 3.5L V6
- Exterior color:
- Oxford White
- Combined gas mileage:
- 20 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 11
- Stock #:
- RFF43289
- VIN:
- 1FTFW5L81TKF43289

-$11,870
2026 Ford F-150
Lariat SuperCrew 4WD
New car
MSRP $73,865
$74,434
$62,564
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- 4X2
- Engine:
- 325 hp 2.7L V6
- Exterior color:
- White
- Combined gas mileage:
- 22 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 3
- Stock #:
- TFC03401
- VIN:
- 1FTEW2KP7TFC03401

2026 Ford F-150
STX SuperCrew RWD
New car
MSRP $51,690
$40,591
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 325 hp 2.7L V6
- Exterior color:
- Oxford White
- Combined gas mileage:
- 20 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black W/Medium Dark Slate
- Transmission:
- Automatic
- Mileage:
- 11
- Stock #:
- RFC13300
- VIN:
- 1FTEW3LP1TFC13300

2026 Ford F-150
XLT SuperCrew 4WD
New car
MSRP $62,365
$49,346
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- 4X2
- Engine:
- 325 hp 2.7L V6
- Exterior color:
- Oxford White
- Combined gas mileage:
- 22 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 11
- Stock #:
- RFF57755
- VIN:
- 1FTEW2KP4TKF57755

-$7,665
2026 Ford F-150
STX SuperCrew RWD
New car
MSRP $52,160
$48,229
$40,564
- Year:
- 2022
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 400 hp 3.5L V6
- Exterior color:
- White Metallic
- Combined gas mileage:
- 20 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 45,094
- Stock #:
- L30780D
- VIN:
- 1FTFW1E88NFA57354

2022 Ford F-150
Lariat SuperCrew 4WD
45,094 mi
$42,460
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 400 hp 3.5L V6
- Exterior color:
- White
- Combined gas mileage:
- 20 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 1
- Stock #:
- TKE83196
- VIN:
- 1FTFW5L80TKE83196

2026 Ford F-150
Lariat SuperCrew 4WD
New car
MSRP $68,700
$59,101
- Year:
- 2017
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 282 hp 3.5L V6 Flex Fuel Vehicle
- Exterior color:
- White
- Combined gas mileage:
- 20 MPG
- Fuel type:
- Flex Fuel Vehicle
- Interior color:
- Gray
- Transmission:
- 6-Speed Automatic
- Mileage:
- 115,587
- Stock #:
- B29381
- VIN:
- 1FTEW1E8XHFB29381

2017 Ford F-150
XL SuperCrew 4WD
115,587 mi
$16,500
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 430 hp 3.5L V6 Hybrid
- Exterior color:
- Star White Metallic Tri-Coat
- Combined gas mileage:
- 23 MPG
- Fuel type:
- Hybrid
- Interior color:
- Black/Smoked Truffle
- Transmission:
- Automatic
- Mileage:
- 11
- Stock #:
- RFC50367
- VIN:
- 1FTFW5LD1TFC50367

-$14,185
2026 Ford F-150
Lariat SuperCrew 4WD
New car
MSRP $82,680
$83,249
$69,064
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 400 hp 5L V8
- Exterior color:
- White Metallic
- Combined gas mileage:
- 20 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 12
- Stock #:
- FC01858
- VIN:
- 1FTFW5L55TFC01858

-$2,204
2026 Ford F-150
Lariat SuperCrew 4WD
New car
MSRP $73,445
$66,172
$63,968
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 400 hp 3.5L V6
- Exterior color:
- Star White Metallic Tri-Coat
- Combined gas mileage:
- 20 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black/Smoked Truffle
- Transmission:
- Automatic
- Mileage:
- 11
- Stock #:
- RFC53803
- VIN:
- 1FTFW5L86TFC53803

-$12,457
2026 Ford F-150
Lariat SuperCrew 4WD
New car
MSRP $74,880
$75,449
$62,992
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 400 hp 3.5L V6
- Exterior color:
- Oxford White
- Combined gas mileage:
- 20 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black W/Medium Dark Slate
- Transmission:
- Automatic
- Mileage:
- 2,033
- Stock #:
- F65102
- VIN:
- 1FTFW3L81TKD28693

2026 Ford F-150
XLT SuperCrew 4WD
New car
MSRP $64,095
$52,624
- Year:
- 2018
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 325 hp 2.7L V6
- Exterior color:
- Oxford White
- Fuel type:
- Gasoline
- Interior color:
- Medium Earth Gray
- Transmission:
- 6-Speed Automatic
- Mileage:
- 144,691
- VIN:
- 1FTEW1EP1JKF33237

-$618
2018 Ford F-150
XL SuperCrew 4WD
144,691 mi
$17,493
$16,875
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 325 hp 2.7L V6
- Exterior color:
- White
- Combined gas mileage:
- 20 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 1
- Stock #:
- TKE59919
- VIN:
- 1FTEW3LP5TKE59919

2026 Ford F-150
XLT SuperCrew 4WD
New car
MSRP $63,430
$51,262
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 400 hp 5L V8
- Exterior color:
- Oxford White
- Combined gas mileage:
- 20 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 11
- Stock #:
- RFE92073
- VIN:
- 1FTFW3L54TKE92073

2026 Ford F-150
XLT SuperCrew 4WD
New car
MSRP $70,220
$57,564
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 325 hp 2.7L V6
- Exterior color:
- Oxford White
- Combined gas mileage:
- 20 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 11
- Stock #:
- RFC13034
- VIN:
- 1FTEW2LP3TFC13034

-$8,106
2026 Ford F-150
STX SuperCrew 4WD
New car
MSRP $56,040
$52,109
$44,003
- Year:
- 2021
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 400 hp 5L V8 Flex Fuel Vehicle
- Exterior color:
- White Metallic
- Combined gas mileage:
- 19 MPG
- Fuel type:
- Flex Fuel Vehicle
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 74,851
- Stock #:
- TMKE22402
- VIN:
- 1FTFW1E56MKE22402

Sponsored Listing
2021 Ford F-150
Lariat SuperCrew 4WD
74,851 mi
$39,494
- Year:
- 2021
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Exterior color:
- Star White Metallic Tri-Coat
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 57,981
- Stock #:
- 28519Y
- VIN:
- 1FTFW1E89MFB98948


Sponsored by Stateline Chrysler Jeep Dodge
2021 Ford F-150
Lariat SuperCrew 4WD
57,981 mi
$42,958
- Year:
- 2024
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 2 doors
- Drivetrain:
- 4X2
- Engine:
- 325 hp 2.7L V6
- Exterior color:
- Oxford White
- Combined gas mileage:
- 22 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black W/Medium Dark Slate
- Transmission:
- Automatic
- Mileage:
- 29,440
- Stock #:
- ARKD41670
- VIN:
- 1FTMF1KP3RKD41670

Sponsored Listing
2024 Ford F-150
XL Regular Cab LB RWD
29,440 mi
$28,050
- Year:
- 2024
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 325 hp 2.7L V6
- Exterior color:
- White
- Combined gas mileage:
- 20 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 48,547
- Stock #:
- PT0871
- VIN:
- 1FTEW2LP7RKE21207

Sponsored Listing
2024 Ford F-150
STX SuperCrew 4WD
48,547 mi
$35,384
- Year:
- 2025
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 430 hp 3.5L V6 Hybrid
- Exterior color:
- White
- Combined gas mileage:
- 23 MPG
- Fuel type:
- Hybrid
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 6,064
- Stock #:
- T2242
- VIN:
- 1FTFW3LD2SFA98490

2025 Ford F-150
XLT SuperCrew 4WD
New car
MSRP $68,405
$53,291
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 400 hp 3.5L V6
- Exterior color:
- White
- Combined gas mileage:
- 20 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 3
- Stock #:
- TFC05759
- VIN:
- 1FTFW5L89TFC05759

2026 Ford F-150
Lariat SuperCrew 4WD
New car
MSRP $72,635
$61,991
- Year:
- 2025
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- 4X2
- Engine:
- 325 hp 2.7L V6
- Exterior color:
- Oxford White
- Combined gas mileage:
- 22 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 6
- Stock #:
- F25232
- VIN:
- 1FTEX2KP8SKF22907

2025 Ford F-150
STX SuperCab LB RWD
New car
MSRP $44,610
$36,577
- Year:
- 2020
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Engine:
- 395 hp 5L V8 Flex Fuel Vehicle
- Exterior color:
- Oxford White
- Fuel type:
- Flex Fuel Vehicle
- Interior color:
- Dark Earth Gray
- Transmission:
- Automatic
- Mileage:
- 154,428
- Stock #:
- 35693
- VIN:
- 1FTEW1C57LKE47113

2020 Ford F-150
154,428 mi
$14,995
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- 4X2
- Engine:
- 325 hp 2.7L V6
- Exterior color:
- Oxford White
- Combined gas mileage:
- 22 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 11
- Stock #:
- RFF55836
- VIN:
- 1FTEW2KP5TKF55836

-$7,665
2026 Ford F-150
STX SuperCrew RWD
New car
MSRP $52,160
$48,229
$40,564
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 400 hp 3.5L V6
- Exterior color:
- Oxford White
- Combined gas mileage:
- 20 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 11
- Stock #:
- RFF43289
- VIN:
- 1FTFW5L81TKF43289

-$11,870
2026 Ford F-150
Lariat SuperCrew 4WD
New car
MSRP $73,865
$74,434
$62,564
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- 4X2
- Engine:
- 325 hp 2.7L V6
- Exterior color:
- White
- Combined gas mileage:
- 22 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 3
- Stock #:
- TFC03401
- VIN:
- 1FTEW2KP7TFC03401

2026 Ford F-150
STX SuperCrew RWD
New car
MSRP $51,690
$40,591
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 325 hp 2.7L V6
- Exterior color:
- Oxford White
- Combined gas mileage:
- 20 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black W/Medium Dark Slate
- Transmission:
- Automatic
- Mileage:
- 11
- Stock #:
- RFC13300
- VIN:
- 1FTEW3LP1TFC13300

2026 Ford F-150
XLT SuperCrew 4WD
New car
MSRP $62,365
$49,346
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- 4X2
- Engine:
- 325 hp 2.7L V6
- Exterior color:
- Oxford White
- Combined gas mileage:
- 22 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 11
- Stock #:
- RFF57755
- VIN:
- 1FTEW2KP4TKF57755

-$7,665
2026 Ford F-150
STX SuperCrew RWD
New car
MSRP $52,160
$48,229
$40,564
- Year:
- 2022
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 400 hp 3.5L V6
- Exterior color:
- White Metallic
- Combined gas mileage:
- 20 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 45,094
- Stock #:
- L30780D
- VIN:
- 1FTFW1E88NFA57354

2022 Ford F-150
Lariat SuperCrew 4WD
45,094 mi
$42,460
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 400 hp 3.5L V6
- Exterior color:
- White
- Combined gas mileage:
- 20 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 1
- Stock #:
- TKE83196
- VIN:
- 1FTFW5L80TKE83196

2026 Ford F-150
Lariat SuperCrew 4WD
New car
MSRP $68,700
$59,101
- Year:
- 2017
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 282 hp 3.5L V6 Flex Fuel Vehicle
- Exterior color:
- White
- Combined gas mileage:
- 20 MPG
- Fuel type:
- Flex Fuel Vehicle
- Interior color:
- Gray
- Transmission:
- 6-Speed Automatic
- Mileage:
- 115,587
- Stock #:
- B29381
- VIN:
- 1FTEW1E8XHFB29381

2017 Ford F-150
XL SuperCrew 4WD
115,587 mi
$16,500
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 430 hp 3.5L V6 Hybrid
- Exterior color:
- Star White Metallic Tri-Coat
- Combined gas mileage:
- 23 MPG
- Fuel type:
- Hybrid
- Interior color:
- Black/Smoked Truffle
- Transmission:
- Automatic
- Mileage:
- 11
- Stock #:
- RFC50367
- VIN:
- 1FTFW5LD1TFC50367

-$14,185
2026 Ford F-150
Lariat SuperCrew 4WD
New car
MSRP $82,680
$83,249
$69,064
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 400 hp 5L V8
- Exterior color:
- White Metallic
- Combined gas mileage:
- 20 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 12
- Stock #:
- FC01858
- VIN:
- 1FTFW5L55TFC01858

-$2,204
2026 Ford F-150
Lariat SuperCrew 4WD
New car
MSRP $73,445
$66,172
$63,968
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 400 hp 3.5L V6
- Exterior color:
- Star White Metallic Tri-Coat
- Combined gas mileage:
- 20 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black/Smoked Truffle
- Transmission:
- Automatic
- Mileage:
- 11
- Stock #:
- RFC53803
- VIN:
- 1FTFW5L86TFC53803

-$12,457
2026 Ford F-150
Lariat SuperCrew 4WD
New car
MSRP $74,880
$75,449
$62,992
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 400 hp 3.5L V6
- Exterior color:
- Oxford White
- Combined gas mileage:
- 20 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black W/Medium Dark Slate
- Transmission:
- Automatic
- Mileage:
- 2,033
- Stock #:
- F65102
- VIN:
- 1FTFW3L81TKD28693

2026 Ford F-150
XLT SuperCrew 4WD
New car
MSRP $64,095
$52,624
- Year:
- 2018
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 325 hp 2.7L V6
- Exterior color:
- Oxford White
- Fuel type:
- Gasoline
- Interior color:
- Medium Earth Gray
- Transmission:
- 6-Speed Automatic
- Mileage:
- 144,691
- VIN:
- 1FTEW1EP1JKF33237

-$618
2018 Ford F-150
XL SuperCrew 4WD
144,691 mi
$17,493
$16,875
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 325 hp 2.7L V6
- Exterior color:
- White
- Combined gas mileage:
- 20 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 1
- Stock #:
- TKE59919
- VIN:
- 1FTEW3LP5TKE59919

2026 Ford F-150
XLT SuperCrew 4WD
New car
MSRP $63,430
$51,262
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 400 hp 5L V8
- Exterior color:
- Oxford White
- Combined gas mileage:
- 20 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 11
- Stock #:
- RFE92073
- VIN:
- 1FTFW3L54TKE92073

2026 Ford F-150
XLT SuperCrew 4WD
New car
MSRP $70,220
$57,564
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 325 hp 2.7L V6
- Exterior color:
- Oxford White
- Combined gas mileage:
- 20 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 11
- Stock #:
- RFC13034
- VIN:
- 1FTEW2LP3TFC13034

-$8,106
2026 Ford F-150
STX SuperCrew 4WD
New car
MSRP $56,040
$52,109
$44,003
- Year:
- 2021
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 400 hp 5L V8 Flex Fuel Vehicle
- Exterior color:
- White Metallic
- Combined gas mileage:
- 19 MPG
- Fuel type:
- Flex Fuel Vehicle
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 74,851
- Stock #:
- TMKE22402
- VIN:
- 1FTFW1E56MKE22402

Sponsored Listing
2021 Ford F-150
Lariat SuperCrew 4WD
74,851 mi


















